Welcome to Casper XP

Casper XP makes upgrading to a new hard disk faster and easier than ever. With Casper XP, you don't have to be a professional computer technician just to replace your old hard disk with a new high-capacity hard disk.

Casper XP is also the easiest way to maintain a backup of a hard disk. Use Casper XP to copy the contents of your hard disk to another hard disk on a regular basis and you will never have to worry about downtime. If your primary hard disk fails, you can simply replace it with your backup hard disk and your system is up and running again in no time.

Casper XP runs entirely from within the Microsoft Windows environment. There is no need to create a special startup disk or waste time learning archaic DOS commands or computer jargon to use Casper XP. With its simple wizard-based design, you will be copying everything from your old hard disk to your new one in a matter of minutes -- all without losing a single user preference or byte of data.

Casper XP is compatible with all versions of Windows 2000 and Windows XP, including Windows XP Professional and Windows XP Home Edition.

To learn more about getting started with Casper XP, click here.

©1998-2002 Future Systems Solutions, Inc. All rights reserved.


System requirements

Minimum system requirements

The following system configuration is required for Casper XP:

  • Windows 2000, Windows XP Home Edition, or Windows XP Professional
  • 50 MB free disk space
  • 32 MB RAM (128 MB recommended)
  • 800 x 600 screen resolution display setting
  • Administrative Privileges

Notes

  • Future Systems Solutions does not support the use of Casper XP on Windows 2000 Server, Windows 2000 Advanced Server, or Windows XP 64-bit Edition. Casper XP is not compatible with any prior versions of Windows NT. These specifications are subject to change without notice.
  • You must be logged on as an administrator to install and run Casper XP. If your computer is connected to a network, network policy settings may also prevent you from installing or running Casper XP.


Registering Casper XP

With online registration, you can register your copy of Casper XP right now. Registration ensures that you receive product support, product update information, and other benefits. The process takes only a few minutes to complete.

To register now, simply click here and follow the instructions in the Online Registration Wizard.


License Agreement

Future Systems Solutions, Inc. ("FSS") License Agreement ("Agreement")

IMPORTANT: CAREFULLY READ ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT BEFORE PROCEEDING. USE OF THIS SOFTWARE (THE "SOFTWARE") INDICATES YOUR ACCEPTANCE OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT.

IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT, PROMPTLY RETURN THE SOFTWARE, DOCUMENTATION, AND ANY SUPPORTING MATERIALS PROVIDED TO YOU IN CONJUNCTION WITH THIS SOFTWARE.

PERSONAL-USE LICENSE: If you purchased a PERSONAL-USE license of the SOFTWARE, you have the non-exclusive right to use the SOFTWARE on only one computer. You may make one (1) backup copy of the SOFTWARE, in machine-readable form, for archival purposes. You must reproduce and include the SOFTWARE title, copyright, and trademark on the backup copy. You may not copy the related documentation and supporting materials accompanying the SOFTWARE. You may not distribute or otherwise transfer copies of the SOFTWARE or documentation, in whole or in part, to another party. You may not rent, lease, or assign the SOFTWARE. You may not disassemble, decompile, or reverse engineer the SOFTWARE, nor may you use any electronic or other method to trace or identify the source code of the SOFTWARE or encourage others to do so.

COMMERCIAL-USE LICENSE: If you purchased a COMMERCIAL-USE license of the SOFTWARE, you have the non-exclusive right to use the SOFTWARE in a commercial setting for the purposes of upgrading and maintaining third-party computer systems. You may make one (1) backup copy of the SOFTWARE, in machine-readable form, for archival purposes. You must reproduce and include the SOFTWARE title, copyright, and trademark on the backup copy. You may not copy the related documentation and supporting materials accompanying the SOFTWARE. You may not distribute or otherwise transfer copies of the SOFTWARE or documentation, in whole or in part, to another party. You may not rent, lease, or assign the SOFTWARE. You may not disassemble, decompile, or reverse engineer the SOFTWARE, nor may you use any electronic or other method to trace or identify the source code of the SOFTWARE or encourage others to do so.

YOU MAY NOT USE, COPY, MODIFY, OR TRANSFER THE SOFTWARE OR DOCUMENTATION, OR ANY COPY, MODIFICATION OR MERGED PORTION, IN WHOLE OR IN PART, EXCEPT AS EXPRESSLY PROVIDED IN THIS AGREEMENT.

COPYRIGHT: The SOFTWARE and accompanying documentation is owned and copyrighted by FSS. The SOFTWARE and accompanying documentation is protected by United States copyright laws and international treaty provisions.

TERM: This Agreement is effective until terminated. You may at anytime terminate this Agreement by destroying the program and documentation and all copies thereof. FSS also reserves the right to terminate this Agreement if you fail to comply with any of the terms and conditions contained herein. Should FSS terminate this Agreement because of your failure to comply, you agree to destroy or return to FSS the SOFTWARE and documentation and any copies, including partial copies, in any and all forms, received from FSS or generated in connection with this Agreement.

LIMITED WARRANTY: THE SOFTWARE IS PROVIDED "AS-IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. SOME STATES DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM STATE TO STATE. Because of the diversity of conditions and hardware under which the SOFTWARE may be used, FSS does not warrant that the SOFTWARE will meet your requirements or that the operation of the SOFTWARE will be uninterrupted or error free.

IN NO EVENT WILL FSS BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE. The licensee's sole and exclusive remedy shall be, at FSS' option, either (a) return of the price paid, if any, or (b) repair or replacement of the SOFTWARE that does not meet FSS' LIMITED WARANTY and which is returned to FSS with a copy of your receipt. In no event will FSS' liability exceed the purchase price of the SOFTWARE. SOME STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQENTIAL DAMAGES SO THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU.

SEPARABILITY: If it should be determined that one or more portions of this Agreement is or are invalid, such invalidation shall not operate to relieve the parties hereto of their rights and obligations with respect to each other under the remaining portions.

GOVERNING LAW: This Agreement shall be governed by and construed in accordance with the laws of the State of Indiana.

COMPLETE UNDERSTANDING: This Agreement is the complete understanding of the parties, and supersedes all prior understandings and agreements, verbal or written, and any other communications between the parties relating to the subject matter of this Agreement.

ACKNOWLEDGMENT: YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.

Should you have any questions concerning this Agreement, please contact in writing FSS.


Before running Casper XP

Before running Casper XP, please note the following:

  • You must be logged on as an administrator to run Casper XP. If your computer is connected to a network, network policy settings may also prevent you from running Casper XP. Contact your network administrator concerning network policy settings.
  • You should close all programs, and disable antivirus and background utility software before using Casper XP to copy, create, or remove a drive. If you are running antivirus software, you may receive a warning when Casper XP updates a partition table or boot record. If the update is blocked or repaired by the antivirus software, Casper XP may fail to complete the requested operation.
  • If you want to copy to a hard disk protected by GoBack, or copy to a drive that contains a GoBack history file, you must disable protection on the hard disk first. You must also disable protection before creating or removing a drive on a hard disk protected by GoBack. If you use GoBack, click Related Topics for additional information.
Related Topics


How to start Casper XP

To start Casper XP

Click here to launch Casper XP now, or follow this procedure:

  1. Click Start.
  2. Point to the All Programs menu.
  3. Point to the Casper XP menu.
  4. Click Casper XP.


How to check for software updates

To check for software updates

Click here [image] to check online at http://www.fssdev.com/products/casperxp/updates.


Getting additional help

When running Casper XP, you can get additional help by pressing F1. Additional help is also available on the Future Systems Solutions web site.

If you need help installing your hard disk, finding a jumper setting, or just want to learn more about how computers work, visit the [image] Future Systems Solutions Online Technical Resource Center. Here you will find links to many of the hard disk manufacturer web sites, how-to guides, and links to other online technical resources.


How to uninstall Casper XP

To uninstall Casper XP

  1. Open Add or Remove Programs in the Windows Control Panel.
  2. Highlight Casper XP in the program list.
  3. Click the Remove button.


Copying a drive

Casper XP supports two copy methods:

Copy an entire hard disk

When copying an entire hard disk, Casper XP copies the complete disk layout, including the format and content of each partition to another hard disk.

This method is recommended when you want to upgrade a hard disk, or when you want to create and maintain a backup hard disk.

Additional information

Step-by-step procedure

Copy a specific drive

When copying a specific drive, Casper XP copies only the format and content of an individual partition or volume. The drive may be copied to another drive, or to a hard disk that contains unpartitioned space.

Use this method when you want to copy only a single partition from a hard disk that defines multiple partitions, or you want to copy a dynamic volume, or any other drive type including removable media and mapped network drives.

Additional information

Step-by-step procedure

In general, either method may be used to upgrade a hard disk or to create and maintain a backup hard disk. For more information about using Casper XP to upgrade or backup a hard disk, click Related Topics.

Notes

  • When a hard disk defines an unsupported partition type, or cannot otherwise be copied in its entirety, Casper XP may be able to copy individual partitions from the hard disk by using the copy a specific drive method.
  • Only basic disks can be copied using the copy an entire hard disk method. Dynamic volumes, removable drives, and mapped network drives must be copied using copy a specific drive.
  • When copying a drive containing a mounted drive, only the path information for the mounted drive is copied. The contents of the mounted drive are not copied.


Copying an entire hard disk

When copying an entire hard disk, Casper XP copies the complete disk layout, including the format and content of each partition to another hard disk.

The following three steps describe the typical procedure for copying a hard disk:

Select the disk to copy

Casper XP provides you with a list of the hard disks on your computer, which you can use to select the source disk. If the disk you want to copy does not appear in the list, you will not be able to copy the disk in its entirety. See the Notes for additional information.

Select the destination

Casper XP provides you with a list of the hard disks on your computer, which you can use to select the target disk. If the disk you want to select does not appear in the list, you will not be able to use it as a target disk. See the Notes for additional information.

If the target disk is larger than the source disk, Casper XP prompts you to select how the additional space is to be used. There are three options:

  • Proportionally distribute the free space to all partitions / Give all of the free space to the partition. If the source disk defines more than one partition, Casper XP will distribute all of the free space proportionally between the partitions created on the target disk. If the source disk defines a single partition, Casper XP will give all of the free space to the partition created on the target disk.
  • Leave the additional space unallocated. This will leave the additional space as unpartitioned space.
  • Let me specify the size. This will allow you to specify a custom size for each partition created on the target disk.

Start the copy

After you have finished making the required selections, Casper XP prompts you to begin the copy process.

Caution

  • The entire content of the target disk is replaced. If the target disk defines any partitions, they will be removed at the beginning of the copy process.

Notes

  • Some hard disks on your computer may not be shown in the selection list provided by Casper XP. If the disk you want to select does not appear in the list, select the option to view all disks. Casper XP will display an explanation when you attempt to select the disk.
  • If a hard disk contains an unsupported partition, Casper XP will not allow you to copy the hard disk in its entirety. Casper XP supports FAT, FAT32, and NTFS partitions.
  • A hard disk protected by GoBack cannot be used as a target disk. If you use GoBack, click Related Topics for additional information.
  • Casper XP will not allow you to copy to a hard disk that defines the boot partition, system partition, or any partition on which an active paging file resides.
  • If a partition on the source disk is using the FAT file system and the size of the copy created is greater than 32GB, the file system format will be changed to NTFS on the target disk in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.
  • You should close all programs, and disable antivirus and background utility software before copying a disk. If you are running antivirus software, you may receive a warning when Casper XP updates a partition table or boot record on the target disk. If the update is blocked or repaired by the antivirus software, the target disk may be rendered inaccessible.


Selecting the source disk

The source disk defines the data you want to copy. You select the source disk by clicking on a disk in the list provided, and then clicking the Next button to proceed.

If Casper XP determines that a hard disk cannot be copied in its entirety, a message will appear below the selection list indicating only hard disks that can be copied are displayed. You can click this message to display a list of all of the hard disks on your computer. If you attempt to select a hard disk that cannot be copied, Casper XP will provide one of the following explanations and you will not be allowed to proceed.

There is no data on this disk to copy.

This message is displayed when there are no partitions on the disk.

This disk device is not ready. Casper XP was unable to detect any media in the device.

If the disk device supports removable media, this message indicates that no media was detected in the device at the time Casper XP made its examination. If media is present in the device, or if the device does not use removable media, this message may be an indication that the device is disabled or malfunctioning. Use Device Manager to check the settings for the device.

Casper XP was unable to determine the geometry of this disk. The disk device may be temporarily disabled or malfunctioning.

This message is displayed when the disk device is not responding. The device may be configured improperly, or a required driver may be missing. Use Device Manager to check the settings for the device.

Casper XP was unable to determine the format of the partition(s) on this disk or the format is not supported.

This message is displayed when the disk layout is not recognized, or the partitions defined on the disk are not supported. Casper XP supports only basic disks containing NTFS, FAT32, and FAT partitions.

Casper XP cannot make a complete copy of this disk because it defines an unsupported partition or disk layout. To copy a specific partition from this disk, click Back and select Copy a specific drive.

This message is displayed when the disk defines one or more unsupported partitions, or the disk layout is not supported. Though Casper XP cannot copy the entire hard disk, it can copy at least one partition using the copy a specific drive method. Casper XP supports only basic disks containing NTFS, FAT32, and FAT partitions.

This disk cannot be copied because Casper XP was unable to find a suitable target. Click here for more information.

Casper XP could not locate another hard disk to use as a target disk. When you click the link for more information, Casper XP will display the specific reason for each of the hard disks on your computer. For a list of these reasons, see Understanding why a target disk could not be found.


Selecting the target disk

The target disk defines the hard disk to which the source disk is copied. You select the target disk by clicking on a disk in the list provided, and then clicking the Next button to proceed.

If Casper XP determines that a hard disk cannot be used as a target disk, a message will appear below the selection list indicating only hard disks that can be selected are displayed. You can click this message to display a list of all of the hard disks on your computer. If you attempt to select a hard disk that cannot be used as a target disk, Casper XP will provide one of the following explanations and you will not be allowed to proceed.

This disk is not ready. Casper XP was unable to detect any media in the device.

If the disk device supports removable media, this message indicates that no media was detected in the device at the time Casper XP made its examination. If media is present, or if the device does not use removable media, this message may be an indication that the device is disabled or malfunctioning. Use Device Manager to check the settings for the device.

Casper XP was unable to determine the geometry of this disk. The disk device may be temporarily disabled or malfunctiong.

This message is displayed when the disk device is not responding. The device may be configured improperly, or a required driver may be missing. Use Device Manager to check the settings for the device.

This disk contains an unsupported partition or disk layout. Copying to this disk is not supported.

This message is displayed when the disk contains a disk layout or partition that cannot be replaced by Casper XP. Only basic disks are supported.

This disk contains the active boot partition required to start or run Windows.

Casper XP cannot copy to a disk that defines the active boot partition. To copy to the disk, you must start Windows from an alternate disk.

This disk contains a system partition required to start or run Windows.

Casper XP cannot copy to a disk that defines the system partition. To copy to the disk, you must start Windows from an alternate disk.

This disk contains paging files currently in use by Windows.

Casper XP cannot copy to a disk that contains an active paging file. To copy to the disk, you must start Windows from an alternate disk.

This disk is too small to accommodate all of the data on Disk <n>.

Casper XP calculates the minimal amount of space required to make a copy of the source disk. This amount cannot exceed the capacity of the target disk.

This disk is currently protected by GoBack. Disk <n> cannot be copied to this disk while GoBack is enabled.

Casper XP cannot copy to a disk protected by GoBack. For additional information, click Related Topics.


Specifying free space usage on the target disk

When the target disk is larger than the source disk, you must select how the additional unpartitioned space on the target disk is to be used. There are three options:

  • Proportionally distribute the free space to all partitions / Give all of the free space to the partition. When you select this option, Casper XP distributes all of the free space proportionally between the partitions created on the target disk. If the source disk defines a single partition, Casper XP gives all of the free space to the partition created on the target disk. This is the default selection.
  • Leave the additional space unallocated. When you select this option, the additional space is not used. Casper XP creates the target disk partitions the same size as the source disk partitions and the additional space remains as unpartitioned space.
  • Let me specify the size. If you select this option and then click Next, Casper XP prompts you to define the size for each partition created on the target disk. For additional information, click Related Topics.

If you are unsure of which option to select, and you are upgrading a hard disk or replacing a hard disk that has failed, use the default selection. If you are creating or maintaining a backup hard disk, select the option to leave the additional space unallocated.

After making your selection, click the Next button to proceed.

Notes

  • If a partition on the source disk is using the FAT file system and the size of the copy created is greater than 32GB, the file system format will be changed to NTFS on the target disk in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.
  • Free space is not distributed to EISA configuration or OEM hibernation partitions. If the source disk contains an OEM hibernation partition, you can adjust the size of the copy created by selecting Let me specify the size.


Customizing free space usage on the target disk

You can customize how unpartitioned space is used on the target disk by changing the size of the partitions created on it. When copying a partition from the source disk, the size of the partition on the target disk defines the size of the copy.

A list of the partitions on the source disk is provided. The list shows the following information:

Partition. The name of the partition that will be copied to the target disk.

Original Size. The size of the partition as it currently resides on the source disk.

Size of Copy. The size of the partition that will be created on the target disk.

To change the size of a partition created on the target disk, select the partition in the list, and then enter the desired size in the box provided.

After making your selections, click the Next button to proceed.

Note

  • If a partition on the source disk is using the FAT file system and the size of the copy created is greater than 32GB, the file system format will be changed to NTFS on the target disk in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.


Copying a specific drive

When copying a specific drive, Casper XP copies only the format and content of an individual partition or volume. The drive may be copied to another drive, or to a hard disk that contains unpartitioned space.

The following three steps describe the typical procedure for copying a drive:

Select the drive to copy

Casper XP provides you with a list of the drives on your computer, which you can use to select the source drive. If the drive you want to copy does not appear in the list, you will not be able to copy the drive. See the Notes for additional information.

Select the destination

Casper XP provides two options for selecting the copy destination:

Copy to an existing drive

Casper XP provides you with a list of the drives on your computer, which you can use to select the target drive. If the drive you want to select does not appear in the list, you will not be able to use it as a target drive. This option is available only if Casper XP was able to locate a suitable target drive. See the Notes for additional information.

Copy to a new drive

Casper XP provides you with a list of hard disks on your computer, which you can use to select the location for a new target drive. Casper XP will partition and format space on the selected hard disk to create the drive, and then use this drive as the target drive. This option is available only if Casper XP was able to locate a hard disk with sufficient unpartitioned space. See the Notes for additional information.

Before creating the target drive, Casper XP prompts you to select its size. There are three options:

  • Make the copy as large as possible. This will allocate all of the unpartitioned space to make the target drive as large as possible.
  • Make the copy the same size as it is right now / Make the copy as small as possible. If the amount of unpartitioned space on the selected hard disk is greater than the size of the source drive, Casper XP will create the target drive the same size as the source drive. If the amount of unpartitioned space is less than the size of the source drive, Casper XP will create the target drive using the minimal space required for a copy of the source drive.
  • Let me specify the size. This will allow you to specify a custom size for the target drive.

Start the copy

After you have finished making the required selections, Casper XP prompts you to begin the copy process.

Notes

  • Some drives on your computer may not be shown in the selection list provided by Casper XP. If the drive you want to select does not appear in the list, select the option to view all drives. Casper XP will display an explanation when you attempt to select the drive.
  • When providing the selection list for the creation of a new drive, only hard disks containing unpartitioned space are displayed. If a hard disk contains more than one region of unpartitioned space, the largest region is displayed. Select the option to view all regions to specify a different region.
  • Casper XP may not offer the option to select the copy destination type. If Casper XP was unable to locate a suitable target drive, or a hard disk with sufficient space to create a copy of the selected source drive, Casper XP will select the appropriate copy destination type for you.
  • A drive containing a GoBack history file cannot be used as a target drive. If you use GoBack, click Related Topics for additional information.
  • Casper XP will not allow you to copy to a drive that contains the boot files, system files, or an active paging file.
  • If the source drive is using the FAT file system and the target drive is larger than 32GB, the file system format will be changed to NTFS on the target drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.
  • You should close all programs, and disable antivirus and background utility software before copying a drive. If you are running antivirus software, you may receive a warning when Casper XP updates a partition table or boot record on the target drive. If the update is blocked or repaired by the antivirus software, the target drive may be rendered inaccessible.


Selecting the source drive

The source drive defines the data you want to copy. You select the source drive by clicking on a drive in the list provided, and then clicking the Next button to proceed.

If Casper XP determines that a drive cannot be copied, a message will appear below the selection list indicating only drives that can be selected are displayed. You can click this message to display a list of all of the drives on your computer. If you attempt to select a drive that cannot be copied, Casper XP will provide one of the following explanations and you will not be allowed to proceed.

This drive is not ready. Casper XP was unable to detect any media in the drive.

If the drive supports removable media, this message indicates that no media was detected in the drive at the time Casper XP made its examination. If media is present in the drive, or if the drive does not use removable media, this message may be an indication that the drive is disabled or malfunctioning. Use Device Manager to check the settings for the drive.

Casper XP was unable to determine the format of the media in this drive. The media may not be formatted.

This message is displayed when the format of the media could not be read from the drive. Check to make sure the media is formatted. If the drive is a CD-ROM, the disc may be dirty or scratched.

Casper XP was unable to determine the format of the media in this drive, or the media format is not supported.

This message is displayed when the file system defined by the media in the drive could not be identified, or is not supported.

This drive cannot be copied because Casper XP was unable to find a suitable target. Click here for more information.

Casper XP could not locate another drive to use as a target drive. When you click the link for more information, Casper XP will display the specific reason for each of the drives on your computer. For a list of these reasons, see Understanding why a target drive could not be found.


Selecting the copy destination

The copy destination defines where the source drive will be copied. Casper XP provides two options for selecting the copy destination:

Copy to an existing drive

Select this option to copy the source drive to another drive on your computer. You will be prompted to select the drive when you click Next.

Copy to a new drive

Select this option to copy the source drive to a new drive that is created by partitioning and formatting unpartitioned space on a hard disk. You will be prompted to select the disk on which to create the drive when you click Next.

After making your selection, click the Next button to proceed.


Selecting the target drive

The target drive defines the drive to which the source drive is copied. You select the target drive by clicking on a drive in the list provided, and then clicking the Next button to proceed.

If Casper XP determines that a drive cannot be used as a target drive, a message will appear below the selection list indicating only drives that can be selected are displayed. You can click this message to display a list of all of the drives on your computer. If you attempt to select a drive that cannot be used as a target drive, Casper XP will provide one of the following explanations and you will not be allowed to proceed.

This drive is not ready. Casper XP was unable to detect any media in the drive.

If the drive supports removable media, this message indicates that no media was detected in the drive at the time Casper XP made its examination. If media is present, or if the drive does not use removable media, this message may be an indication that the drive is disabled or malfunctioning. Use Device Manager to check the settings for the drive.

This drive contains critical boot files required to start or run Windows.

Casper XP cannot copy to a drive that contains the boot files. To copy to the drive, you must start Windows from an alternate drive.

This drive contains critical system files required to start or run Windows.

Casper XP cannot copy to a drive that contains system files. To copy to the drive, you must start Windows from an alternate drive.

This drive contains paging files currently in use by Windows.

Casper XP cannot copy to a drive that contains an active paging file. To copy to the drive, you must start Windows from an alternate drive.

Copying to this drive is not supported.

Casper XP cannot copy to a mapped network drive, or to a drive that uses a read-only file system such as a CD-ROM drive.

This drive is too small to accommodate all of the data contained on <source drive>.

Casper XP calculates the minimal amount of space required to make a copy of the source drive. This amount cannot exceed the capacity of the target drive.

This drive contains a GoBack history file. <source drive> cannot be copied to this drive while GoBack is enabled.

Casper XP cannot copy to a drive that contains an active GoBack history file. For additional information, click Related Topics.

Note

  • If the source drive is using the FAT file system and the target drive is larger than 32GB, the file system format will be changed to NTFS on the target drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.


Selecting the disk for the new target drive

The target drive will be created on the hard disk you select. To select the hard disk, click on a disk in the list provided, and then click the Next button to proceed.

If the unpartitioned space on a hard disk is fragmented, a message will appear below the selection list indicating that only the largest region of unpartitioned space is displayed. To select a specific region for the target drive, click the link provided in the message to display all of the regions, and then click the region you want to use.

Note

  • The selection list shows only the hard disks on your computer that contain sufficient unpartitioned space for the creation of the target drive. If the disk you want to select does not appear in the list, the disk may contain insufficient unpartitioned space, or it may have an unsupported disk layout. Only basic disks are supported. Utilities such as GoBack may also prevent a hard disk from appearing in the list. If you use GoBack, click Related Topics for additional information.


Specifying the size for the new target drive

The size of the target drive determines the size of the copy created from the source drive. There are four options:

  • Make the copy as large as possible. When you select this option, Casper XP uses all of the unpartitioned space to make the target drive as large as possible. This is the default selection.
  • Make the copy the same size as it is right now. When you select this option, Casper XP creates the target drive the same size as the source drive. The additional space remains as unpartitioned space. This option is available only if the amount of unpartitioned space is greater than the size of the source drive.
  • Make the copy as small as possible. When you select this option, Casper XP creates the target drive using the minimal space required for a copy of the source drive. The additional space remains as unpartitioned space. This option is available only if the amount of unpartitioned space is less than the size of the source drive.
  • Let me specify the size. When you select this option, you specify the amount of unpartitioned space to use for the target drive. Enter the desired amount in the box provided.

If you are unsure of which option to select, and you are upgrading a hard disk or replacing a hard disk that has failed, use the default selection. If you are creating or maintaining a backup hard disk, select the option to make the copy the same size as it is right now, or to make the copy as small as possible.

After making your selection, click the Next button to proceed.

Note

  • If the source drive is using the FAT file system and the target drive is larger than 32GB, the file system format will be changed to NTFS on the target drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.


Creating a drive

Casper XP can create a drive on any hard disk that contains sufficient unpartitioned space. A drive is created by defining a partition and then formatting the partition with a file system.

The following five steps describe the procedure for creating a drive:

Select the disk on which to create the drive

Casper XP provides you with a list of the hard disks on your computer, which you can use to select the disk for the new partition. If the disk you want to select does not appear in the list, you will not be able to create the drive on that disk. See the Notes for additional information.

Specify the size

Casper XP allows you to use all of the unpartitioned space on the selected disk, or to specify a custom size for the new partition.

Select the format

Casper XP provides several options to control the format of the new drive. When selecting the format, you can:

Specify the file system to use on the new drive. Depending on the size of the new drive, you can choose NTFS, FAT32, or FAT. See the Notes for additional information.

Specify whether you want to enable file and folder compression on the new drive to maximize available space.

Specify whether you want to check the disk for errors by verifying the integrity of every sector that will be allocated to the new drive. While slower, checking for errors ensures bad sectors are not used for storing data.

Choose a name

Casper XP allows you to assign a specific drive letter and volume label to the new drive.

Start the creation process

After you have finished making the required selections, Casper XP prompts you to begin the creation process.

Notes

  • When providing the disk selection list, only hard disks containing unpartitioned space are displayed. If a hard disk contains more than one region of unpartitioned space, the largest region is displayed. Select the option to view all regions to specify a different region.
  • Casper XP supports the creation of drives only on basic disks.
  • You cannot create a drive on a hard disk protected by GoBack. If you use GoBack, click Related Topics for additional information.
  • If you create a drive larger than 32GB, Casper XP will use the NTFS file system to format the drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.
  • You should close all programs, and disable antivirus and background utility software before creating a drive. If you are running antivirus software, you may receive a warning when Casper XP updates a partition table or boot record on the selected hard disk. If the update is blocked or repaired by the antivirus software, the new drive may be rendered inaccessible.


Selecting the disk for the new drive

The partition for the new drive will be created on the hard disk you select. To select the hard disk, click on a disk in the list provided, and then click the Next button to proceed.

If the unpartitioned space on a hard disk is fragmented, a message will appear below the selection list indicating that only the largest region of unpartitioned space is displayed. To select a specific region for the new drive, click the link provided in the message to display all of the regions, and then click the region you want to use.

Note

  • The selection list shows only the hard disks on your computer that contain sufficient unpartitioned space for the creation of a drive. If the disk you want to select does not appear in the list, the disk may contain insufficient unpartitioned space, or it may have an unsupported disk layout. Only basic disks are supported. Utilities such as GoBack may also prevent a hard disk from appearing in the list. If you use GoBack, click Related Topics for additional information.


Specifying the size of the new drive

The size of the new drive determines the size of the partition that will be created. There are two options:

  • Yes, use all available space. When you select this option, Casper XP uses all of the unpartitioned space to make the new drive as large as possible. This is the default selection.
  • No, let me specify the amount of space to use. When you select this option, you specify the amount of unpartitioned space to use for the new drive. Enter the desired amount in the box provided.

After making your selection, click the Next button to proceed.

Note

  • If the size of the new drive is greater than 32GB, Casper XP will use the NTFS file system to format the drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.


Selecting the format for the new drive

Before you can use the new drive to store data, it must be formatted. There are three options to select:

  • File System. Casper XP provides you with a list of compatbile file systems, which you can use to select the format for the new drive. Depending on the size of the new drive, you can choose NTFS, FAT32, or FAT.
  • Enable file and folder compression to maximize available space. Check this option to enable file and folder compression on the new drive. This option is available only when NTFS is selected for the file system.
  • Check disk for errors when formatting. Check this option to verify the integrity of every sector in the partition when formatting the new drive. While slower, checking for errors ensures bad sectors are not used for storing data.

After making your selections, click the Next button to proceed.

Note

  • If the size of the new drive is greater than 32GB, Casper XP will use the NTFS file system to format the drive in accordance with Microsoft's guidelines. For more information, see Limitations of the FAT File System on Windows 2000/XP.


Choosing a name for the new drive

The new drive will be assigned a unique name. You can choose the name assigned by specifying the following:

  • Drive letter. Casper XP provides you with a list of available drive letters, which you can use to select a specific drive letter to assign to the new drive.
  • Volume label. The volume label defines an optional name that may be assigned to the new drive to make it easier to identify when you view the drive in Microsoft Windows Explorer, My Computer, and Casper XP. You can specify up to 11 characters for a FAT drive and 32 characters for a NTFS drive. Enter the volume label you want assigned in the box provided, or leave the box blank if you do not want a volume label assigned.

After making your selections, click the Next button to proceed.


Removing a drive

Casper XP can remove a drive by deleting the partition used to define the drive on a hard disk. When a drive is removed, all data defined on it is lost.

The following two steps describe the procedure for removing a drive:

Select the drive to remove

Casper XP provides you with a list of the drives on your computer, which you can use to select one or more drives to remove. To select a drive, you must check the box appearing next to the drive in the list. Only drives that are defined on basic disks can be removed. See the Notes for additional information.

Start the removal process

After you have finished making your selections, Casper XP prompts you to begin the removal process.

Notes

  • When providing the drive selection list, only drives defined on basic disks are displayed.
  • You cannot remove a drive on a hard disk protected by GoBack. If you use GoBack, click Related Topics for additional information.
  • You should close all programs, and disable antivirus and background utility software before removing a drive. If you are running antivirus software, you may receive a warning when Casper XP updates a partition table on the selected hard disk. If the update is blocked or repaired by the antivirus software, the drive may not be removed properly.


Selecting the drive to remove

Casper XP provides you with a list of the drives on your computer, which you can use to select one or more drives to remove. To select a drive, check the box appearing next to the drive in the list. Only drives that are defined by partitions on basic disks can be removed. See the Notes for additional information.

After making your selection, click the Next button to proceed.

Notes

  • The selection list shows only drives that can be safely removed. Specifically, Casper XP will not allow you to remove:

    Drives containing files required to start or run Windows. This includes the boot partition, system partition, and any partition that contains a paging file.

    Volumes that do not have a drive letter association. This includes unsupported partitions, OEM configuration and hibernation partitions, and mounted drives that do not have a drive letter association.

    Dynamic volumes. Casper XP supports removal of partitions defined on basic disks only.

  • Utilities such as GoBack may also prevent a drive from appearing in the selection list. If you use GoBack, click Related Topics for additional information.


Drive Explorer

Drive Explorer allows you to explore the current configuration of hard disks on your computer and review past activities performed with Casper XP. Use Drive Explorer to:

View a disk layout

The disk layout shows the logical organization of all of the partitions on a hard disk. You can view the disk layout of each hard disk to determine the relationship between the drives and hard disks on your computer.

Additional information

Step-by-step procedure

View recent activity

Casper XP creates an activity report when you copy, create, or remove a drive. Each activity report provides detailed information regarding the configuration of your computer, and the task you performed while using Casper XP.

Additional information

Step-by-step procedure


Disks view

The Drive Explorer Disks View shows the relationship between each hard disk and drive on your computer. Using this view, you can navigate the disk layout of each hard disk on your computer to locate unpartitioned space and to determine the association between partitions and drive letter assignments.

The Disks Explorer Bar displays the disk layout of each hard disk using a hierarchical organization similar to the tree view in Windows Explorer.


History view

The Drive Explorer History View allows you to review the activity reports that are created after copying, creating, or removing a drive with Casper XP. Each activity report provides detailed information regarding the configuration of your computer, and the task you performed while using Casper XP.

The activity report is a dynamic document. By default, the report shows only summary information. To view detailed information, click the Show Detailed Report link located on the Casper XP Activity Report banner.

Depending on the type of report and activity performed, the report will include one or more of the following sections:

System Information

The System Information section displays information related to the configuration of your computer. This information includes the version of Casper XP used to perform the activity, the Windows platform, and Windows version number.

Physical Disk Configuration

The Physical Disk Configuration section displays the configuration and status of all hard disks on your computer before the activity was performed.

Logical Volume Configuration

The Logical Volume Configuration section displays the type and format of all volumes on your computer before the activity was performed.

Tasks Requested

The Tasks Requested section displays a summary of the requested activity.

Tasks Completed

The Tasks Completed section displays a summary of the tasks that were completed successfully by Casper XP.

Exceptions

The Exceptions section displays detailed information related to files and folders that could not be copied completely. This section is present only if there were files or folders that could not be copied completely. Files and folders listed in this section are the result of programs or services running at the time the copy was performed.

Results

The Results section displays the results of the activity performed.


Upgrading a hard disk

Please select the type of hard disk upgrade you want to know more about:

  • Upgrading a hard disk in a Desktop computer
  • Upgrading a hard disk in a Notebook/Laptop computer

Note

  • If you are using an external Firewire or USB hard disk to upgrade your Desktop computer, please follow the procedure for Upgrading a hard disk in a Notebook/Laptop computer.


Upgrading a hard disk in a Desktop PC

The following three steps describe the basic procedure for upgrading a hard disk in a Desktop computer:

Install the new hard disk

Install the new hard disk as a second or additional drive in your computer. For step-by-step instructions refer to the hard disk manufacturer's documentation, or see Installing a new hard disk.

Copy the old hard disk

Use Casper XP to copy the old hard disk to the new hard disk by following this procedure:

  1. Close all programs, and temporarily disable antivirus software and any unnecessary background utility software.
  2. Open Casper XP.
  3. Click Copy Drive.
  4. In the Copy Drive Wizard, click Next to skip the Welcome message.
  5. Select Copy an entire hard disk, and then click Next.
  6. Select the hard disk you want to upgrade as the source disk, and then click Next. If you are upgrading the hard disk on which Windows is running, this is usually Disk 1. For additional information, see Selecting the source disk.
  7. Select the new hard disk you installed as the target disk, and then click Next. For additional information, see Selecting the target disk.
  8. If the new hard disk is larger than the hard disk you are upgrading, Casper XP will prompt you to specify how the additional space on the new hard disk is to be used. Select Proportionally distribute the free space to all partitions / Give all of the free space to the partition, and then click Next. For additional information, see Specifying free space usage on the target disk.
  9. Follow the instructions on your screen to complete the remainder of the wizard. When Casper XP has completed the copy process, click Finish.
  10. Click Exit to close the Casper XP program.

Replace the old hard disk

Replace the old hard disk with the new hard disk. For step-by-step instructions, refer to the hard disk manufacturer's documentation, or see Replacing the original hard disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Note

  • If you have trouble starting your computer from the new hard disk, see Resolving boot problems for additional information.


Upgrading a hard disk in a Notebook/Laptop

The following three steps describe the basic procedure for upgrading a hard disk in a Notebook or Laptop computer:

Connect the new hard disk to your notebook

Follow the manufacturer's instructions to mount the new hard disk in the external Firewire, USB, or PCMCIA enclosure, and then connect the external hard disk to your notebook computer.

Copy the old hard disk

Use Casper XP to copy the old hard disk to the new hard disk by following this procedure:

  1. Close all programs, and temporarily disable antivirus software and any unnecessary background utility software.
  2. Open Casper XP.
  3. Click Copy Drive.
  4. In the Copy Drive Wizard, click Next to skip the Welcome message.
  5. Select Copy an entire hard disk, and then click Next.
  6. Select the hard disk you want to upgrade as the source disk, and then click Next. Unless your notebook computer is equipped with more than one hard disk, this will be designated as Disk 1. For additional information, see Selecting the source disk.
  7. Select the new hard disk attached to the notebook in the external enclosure as the target disk, and then click Next. When upgrading a notebook computer, this is usually designated as Disk 2. For additional information, see Selecting the target disk.
  8. If the new hard disk is larger than the hard disk you are upgrading, Casper XP will prompt you to specify how the additional space on the new hard disk is to be used. Select Proportionally distribute the free space to all partitions / Give all of the free space to the partition, and then click Next. For additional information, see Specifying free space usage on the target disk.
  9. Follow the instructions on your screen to complete the remainder of the wizard. When Casper XP has completed the copy process, click Finish.
  10. Click Exit to close the Casper XP program.

Replace the old hard disk

To replace the old hard disk, follow this procedure:

  1. Shut down your computer.

    How?

    On Windows XP, follow this procedure:

    • Click Start.
    • Click Turn Off Computer.
    • Click Turn Off.

    On Windows 2000, follow this procedure:

    • Click Start.
    • Click Shut Down...
    • Select Shut down.
    • Click OK.
  2. If your computer is not configured to power down when Windows shuts down, turn off the power to your computer.
  3. Disconnect the external hard disk from the notebook and follow the manufacturer's instructions to remove the new hard disk from the external enclosure.
  4. Follow the notebook manufacturer's instructions for removing and replacing the original hard disk in the notebook with the new hard disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Note

  • If you have trouble starting your computer from the new hard disk, see Resolving boot problems for additional information.


Backing up and restoring a hard disk

Please select the procedure you want to know more about:

  • Creating and maintaining a backup hard disk
  • Restoring from a backup hard disk


Creating and maintaining a backup hard disk

The following three steps describe the basic procedure for creating and maintaining a backup hard disk:

Install the backup hard disk

If you are installing an internal hard disk for the backup, install the hard disk as a second or additional drive in your computer. For step-by-step instructions refer to the hard disk manufacturer's documentation, or follow the procedure for installing a new hard disk. See Installing a new hard disk for additional information.

If you are using an external Firewire or USB hard disk enclosure, follow the manufacturer's instructions to mount the backup hard disk in the external enclosure, and then connect the external hard disk to your computer.

Copy the original hard disk

Use Casper XP to copy the original hard disk to the backup hard disk by following this procedure:

  1. Close all programs, and temporarily disable antivirus software and any unnecessary background utility software.
  2. Open Casper XP.
  3. Click Copy Drive.
  4. In the Copy Drive Wizard, click Next to skip the Welcome message.
  5. Select Copy an entire hard disk, and then click Next.
  6. Select the hard disk you want to backup as the source disk, and then click Next. If you are backing up the hard disk on which Windows is running, this is usually Disk 1. For additional information, see Selecting the source disk.
  7. Select the backup hard disk you installed as the target disk, and then click Next. For additional information, see Selecting the target disk.
  8. If the backup hard disk is larger than the hard disk you are backing up, Casper XP will prompt you to specify how the additional space on the backup hard disk is to be used. In you intend to use the backup hard disk to backup more than one hard disk, select Leave the additional space unallocated, and then click Next. If you will be using the backup hard disk to backup a single hard disk, select Proportionally distribute the free space to all partitions / Give all of the free space to the partition, and then click Next. For additional information, see Specifying free space usage on the target disk.
  9. Follow the instructions on your screen to complete the remainder of the wizard. When Casper XP has completed the copy process, click Finish.
  10. Click Exit to close the Casper XP program.

Test the backup hard disk

When creating a backup of the hard disk that is used to start Windows, testing the backup hard disk is highly recommended.

If you are using an external Firewire or USB hard disk for the backup, and your computer's BIOS supports booting from the external hard disk, temporarily change your computer's BIOS to boot directly from the backup hard disk.

If you are using an internal hard disk for the backup, or if your computer's BIOS does not support booting from external Firewire or USB devices, temporarily replace the original hard disk with the backup hard disk. For step-by-step instructions refer to the hard disk manufacturer's documentation, or see Replacing the original hard disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Note

  • If you have trouble starting your computer from the backup hard disk, see Resolving boot problems for additional information.


Restoring from a backup hard disk

If your original hard disk becomes corrupt or fails to start, you can use your backup hard disk to restore your system.

  • Recovering from a hard disk corruption
  • Recovering from a hard disk failure


Recovering from a hard disk corruption

If the hard disk containing the Windows system files becomes corrupt or fails to start, and you created a backup of this hard disk using Casper XP, you can use your backup hard disk to restore the corrupted hard disk by following the procedure outlined below. If the hard disk corruption occurred on another hard disk for which you have created a backup hard disk, simply use the procedure outlined under Copy the backup hard disk to restore the corrupted hard disk.

Boot from the backup hard disk

If you used an external Firewire or USB hard disk for the backup, and your computer's BIOS supports booting from the external hard disk, temporarily change your computer's BIOS to boot directly from the backup hard disk.

If you used an internal hard disk for the backup, or if your computer's BIOS does not support booting from external Firewire or USB devices, temporarily replace the original (corrupted) hard disk with the backup hard disk. For step-by-step instructions refer to the hard disk manufacturer's documentation, or see Replacing the original hard disk.

Copy the backup hard disk

Use Casper XP to copy the backup hard disk to the corrupted hard disk by following this procedure:

  1. Close all programs, and temporarily disable antivirus software and any unnecessary background utility software.
  2. Open Casper XP.
  3. Click Copy Drive.
  4. In the Copy Drive Wizard, click Next to skip the Welcome message.
  5. Select Copy an entire hard disk, and then click Next.
  6. Select the backup hard disk as the source disk, and then click Next. If you booted your computer from the backup hard disk, this is usually Disk 1. For additional information, see Selecting the source disk.
  7. Select the original (corrupted) hard disk as the target disk, and then click Next. For additional information, see Selecting the target disk.
  8. If the original (corrupted) hard disk is larger than the backup hard disk, Casper XP will prompt you to specify how the additional space on the original hard disk is to be used. Select Proportionally distribute the free space to all partitions / Give all of the free space to the partition, and then click Next. For additional information, see Specifying free space usage on the target disk.
  9. Follow the instructions on your screen to complete the remainder of the wizard. When Casper XP has completed the copy process, click Finish.
  10. Click Exit to close the Casper XP program.

Restore the original hard disk to service

Reverse the process described under Boot from the backup hard disk to restore your original hard disk as the boot disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Note

  • If you have trouble starting your computer from the backup hard disk, see Resolving boot problems for additional information.


Recovering from a hard disk failure

If the hard disk containing the Windows system files experiences a mechanical failure, and you created a backup of this hard disk using Casper XP, you can use the following procedure to get your system running again.

Boot from the backup hard disk

If you used an external Firewire or USB hard disk for the backup, and your computer's BIOS supports booting from the external hard disk, temporarily change your computer's BIOS to boot directly from the backup hard disk.

If you used an internal hard disk for the backup, or if your computer's BIOS does not support booting from external Firewire or USB devices, temporarily replace the original (non-working) hard disk with the backup hard disk. For step-by-step instructions refer to the hard disk manufacturer's documentation, or see Replacing the original hard disk.

Install the replacement hard disk

Install the new hard disk that will be used to replace the hard disk that failed.

If you are booting the backup from an external Firewire or USB enclosure, follow the hard disk manufacturer's instructions for replacing the original (non-working) hard disk, or see Replacing the original hard disk.

If you are booting the backup from an internal hard disk, install the new hard disk as a second or additional drive in your computer. For step-by-step instructions refer to the hard disk manufacturer's documentation, or see Installing a new hard disk.

Copy the backup hard disk

Use Casper XP to copy the backup hard disk to the new hard disk by following this procedure:

  1. Close all programs, and temporarily disable antivirus software and any unnecessary background utility software.
  2. Open Casper XP.
  3. Click Copy Drive.
  4. In the Copy Drive Wizard, click Next to skip the Welcome message.
  5. Select Copy an entire hard disk, and then click Next.
  6. Select the backup hard disk as the source disk, and then click Next. If you booted your computer from the backup hard disk, this is usually Disk 1. For additional information, see Selecting the source disk.
  7. Select the new hard disk as the target disk, and then click Next. For additional information, see Selecting the target disk.
  8. If the new hard disk is larger than the backup hard disk, Casper XP will prompt you to specify how the additional space on the new hard disk is to be used. Select Proportionally distribute the free space to all partitions / Give all of the free space to the partition, and then click Next. For additional information, see Specifying free space usage on the target disk.
  9. Follow the instructions on your screen to complete the remainder of the wizard. When Casper XP has completed the copy process, click Finish.
  10. Click Exit to close the Casper XP program.

Boot from the replacement hard disk

After copying the backup hard disk to the new hard disk, you can replace the backup hard disk and boot from the new hard disk.

If you booted the backup from an external Firewire or USB enclosure, simply make the necessary changes to your computer's BIOS to begin booting from the new hard disk.

If you booted the backup from an internal hard disk, and installed the new hard disk as a second or additional drive in your computer, refer to the hard disk manufacturer's documentation, or follow the instructions for Replacing the original hard disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Note

  • If you have trouble starting your computer from either the backup or new hard disk, see Resolving boot problems for additional information.


How to copy an entire hard disk

To copy an entire hard disk

  1. Open Casper XP.
  2. Click Copy Drive.
  3. In the Copy Drive Wizard, click Next, click Copy an entire hard disk, and then follow the instructions on your screen.

Note

  • For additional help when using the wizard, press F1.


How to copy a specific drive

To copy a specific drive

  1. Open Casper XP.
  2. Click Copy Drive.
  3. In the Copy Drive Wizard, click Next, click Copy a specific drive, and then follow the instructions on your screen.

Note

  • For additional help when using the wizard, press F1.


How to create a drive

To create a drive

  1. Open Casper XP.
  2. Click Create Drive to start the Create Drive Wizard, and then follow the instructions on your screen.

Note

  • For additional help when using the wizard, press F1.


Creating a system configuration report

Click here to create a Casper XP System Configuration Report now, or follow this procedure:

  1. Open Casper XP.
  2. Point to the top of the Casper XP window to display the menu bar, or depress the Alt + T keys to select the Tools menu.
  3. On the Tools menu, click Configuration Report.

When complete, the System Configuration Report will be displayed in your Internet Browser. If you are asked to send this report to Future Systems Solutions, you can follow this procedure to attach it to your email message:

  1. On the Internet Explorer File menu, click Send, Page by E-mail.
  2. Send the report to support@fssdev.com or as otherwise directed by the Future Systems Solutions Support Department.

You may also print a copy of the report by following this procedure:

  • On the Internet Explorer File menu, click File, Print.


Installing a new hard disk

If you are installing a SCSI hard disk, please consult the manufacturer's instructions. The procedure outlined below describes the process for installing a new IDE hard disk. Whenever possible it is always best to follow both your computer's instruction guide and the hard disk manufacturer's instructions for installing a new hard disk.

  1. Shut down, and then turn off the power to your computer.

    How?

    On Windows XP, follow this procedure:

    • Click Start.
    • Click Turn Off Computer.
    • Click Turn Off.

      If your computer is not configured to power down when Windows shuts down, turn off the power to your computer.

    On Windows 2000, follow this procedure:

    • Click Start.
    • Click Shut Down...
    • Select Shut down.
    • Click OK.

      If your computer is not configured to power down when Windows shuts down, turn off the power to your computer.

  2. Open your computer's case.
  3. If you are installing a separate high-speed disk controller for the new hard disk, follow the manufacturer's instructions to install it now.
  4. Locate the IDE cable and an available connector to use when connecting the new hard disk.

    Details

    Most IDE cables are flat ribbon cables, but some newer IDE cables have a round design. A standard IDE cable contains 40-wires and uses 40-pin connectors. An Ultra DMA cable contains 80-wires and uses 40-pin connectors.

    A typical IDE cable will contain three 40-pin connectors, which will accommodate two IDE devices. One connector is used to connect the cable to the disk controller, and the other two connectors are used to connect the cable to the IDE devices. If your IDE cable contains only two connectors, one at each end, you can use the cable to connect only one device to the controller. If the cable contains three connectors, you can use the cable to connect two devices to the controller.

    Two IDE cables can be attached to the hard disk controller built-in to your computer. As a result, you can attach a maximum of four IDE devices to your computer's built-in controller.

    • If you cannot locate an available connector, and your computer's hard disk controller has only one IDE cable attached, you can attach a second IDE cable to your computer's hard disk controller.
    • If your computer's built-in hard disk controller has fewer than four devices attached, you can replace one of the IDE cables with a cable that can accommodate two IDE devices.
    • If four devices are currently attached to your computer's built-in hard disk controller, you will have to either detach one of the devices or install a separate add-in disk controller.
  5. Determine the appropriate jumper selection for your new hard disk, and then consult the manufacturer's instructions for changing the jumper setting on the hard disk accordingly.

    Details

    Depending on which IDE cable and connector you located in Step 4, follow the appropriate procedure below:

    Attaching the new hard disk to an IDE cable that already has a device attached

    If you are connecting the new hard disk to an IDE cable that already has a device attached, check the jumper setting on the device currently attached, and then follow the appropriate procedure below:

    The device is configured for cable-select (CS or CSEL)

    • If the cable is an Ultra DMA (80-wire, 40-pin) cable and the device currently attached to the cable is configured for cable-select (CS or CSEL), set the jumpers on the new hard disk for cable-select.
    • If the cable is a standard IDE (40-wire, 40-pin) cable and the device currently attached to the cable is configured for cable-select, consult the documentation that came with the computer or the hard disk manufacturer's instructions. The cable may need to be replaced.

    The device is configured as a single-drive

    If the device currently attached to the cable is configured as a single-drive, change the jumpers on the device currently attached to the cable to configure the device as the master, and then set the jumpers on the new hard disk to configure the new hard disk as a slave.

    The device is configured as a master or master/single

    If the device currently attached to the cable is configured as a master or master/single-drive, set the jumpers on the new hard disk to configure the new hard disk as a slave.

    The device is configured as a slave

    If the device currently attached to the cable is configured as a slave, set the jumpers on the new hard disk to configure the new hard disk as the master.

    Attaching the new hard disk as the only device on the IDE cable

    If you are connecting the new hard disk to an IDE cable that does not have any other devices attached, set the jumpers on the new hard disk to configure the new hard disk as a single-drive, or a master/single. If a separate single-drive selection is not available, set the jumpers to configure the new hard disk as a master.

  6. Mount the new hard disk in the computer.
  7. Attach the hard disk to the IDE cable and connector you located in Step 4. When making the cable connection, the red or colored stripe on the cable should be aligned to pin 1 on the hard disk's connector.
  8. Attach the power supply cable to the new hard disk.
  9. Close your computer's case.
  10. If your computer's BIOS is configured to auto-detect hard disks, the installation is complete. Otherwise, you will have to configure your computer's BIOS to identify the new hard disk.

    How?

    • Power on the computer and enter its BIOS Setup program. On most computers, you can enter the BIOS Setup program by depressing the Del, F1, or F2 keys as directed by the prompt that appears at the bottom of your computer's screen.
    • If the BIOS Setup program offers an Auto-detect option, select this option to detect the new hard disk. If the BIOS Setup program does not provide an Auto-detect option, you will have to configure the hard disk settings manually. If the BIOS Setup provides an option to enable LBA support for the hard disk, select this option. If LBA support is not available, enter the number of cylinders, heads, and sectors for the new hard disk where indicated by the BIOS Setup program. This information is usually printed on the outside cover of the hard disk. If you cannot locate this information, check the hard disk manufacturer's documentation or contact the hard disk manufacturer directly.
    • Exit the BIOS Setup program as directed by the Setup program, and then turn off the computer.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Tip

  • Before installing a hard disk, make note of the hard disk's heads, sectors, and cylinders that are normally printed on the outside cover of the hard disk. Also, record the manufacturer's name, make, model, and serial number of the hard disk. If this information is not printed on the cover of the hard disk, use a small address label to record this information and then carefully affix the label to outside cover of the hard disk for future reference.

Note

  • For additional help installing your hard disk, or if you need to locate a jumper setting, visit the [image] Future Systems Solutions Online Technical Resource Center. Here you will find links to many of the hard disk manufacturer web sites, how-to guides, and links to other online technical resources.


How to remove a drive

To remove a drive

  1. Open Casper XP.
  2. Click Remove Drive to start the Remove Drive Wizard, and then follow the instructions on your screen.

Note

  • For additional help when using the wizard, press F1.


Replacing the original hard disk

If you are replacing a SCSI hard disk, please consult the manufacturer's instructions. The procedure outlined below describes the process for replacing an IDE hard disk. Whenever possible it is always best to follow both your computer's instruction guide and the hard disk manufacturer's instructions for replacing a hard disk.

  1. Shut down, and then turn off the power to your computer.

    How?

    On Windows XP, follow this procedure:

    • Click Start.
    • Click Turn Off Computer.
    • Click Turn Off.

      If your computer is not configured to power down when Windows shuts down, turn off the power to your computer.

    On Windows 2000, follow this procedure:

    • Click Start.
    • Click Shut Down...
    • Select Shut down.
    • Click OK.

      If your computer is not configured to power down when Windows shuts down, turn off the power to your computer.

  2. Open your computer's case.
  3. Locate the hard disk to be replaced. This disk will be referred to as Disk A throughout the remainder of this procedure.

    If the hard disk used to boot the computer is being replaced, it will be configured as the master or master/single-drive and attached to the primary disk controller.

  4. Disconnect the IDE connector attached to Disk A.
  5. If you are removing Disk A permanently, disconnect the power supply cable attached to Disk A, and then remove Disk A from the computer.
  6. If you are replacing Disk A with another hard disk in the computer, locate the other hard disk now. This disk will be referred to as Disk B throughout the remainder of this procedure.

    For example, if you are replacing Disk A with a backup hard disk you created with Casper XP, locate the backup hard disk.

  7. Disconnect the IDE connector attached to Disk B.
  8. If you are exchanging Disk A and Disk B, make note of the current jumper settings on Disk B.
  9. Change the jumper settings on Disk B to correspond to the jumper settings on Disk A.

    For example, if Disk A is configured as a master or master/single-drive, set the jumpers on Disk B to configure Disk B as a master or master/single-drive.

  10. Connect Disk B to the IDE cable and connector from which Disk A was detached in Step 4. When making the cable connection, the red or colored stripe on the cable should be aligned to pin 1 on the hard disk's connector.
  11. If you are exchanging Disk A and Disk B, change the jumper settings on Disk A to correspond to the original jumper settings on Disk B as noted in Step 8, and then attach Disk A to the IDE cable and connector from which Disk B was detached in Step 7. When making the cable connection, the red or colored stripe on the cable should be aligned to pin 1 on the hard disk's connector.
  12. Close your computer's case.
  13. If your computer's BIOS is configured to auto-detect hard disks, the replacement is complete. Otherwise, you will have to configure your computer's BIOS to identify the new hard disk configuration.

    How?

    • Power on the computer and enter its BIOS Setup program. On most computers, you can enter the BIOS Setup program by depressing the Del, F1, or F2 keys as directed by the prompt that appears at the bottom of your computer's screen.
    • If the BIOS Setup program offers an Auto-detect option, select this option to detect the configuration of each hard disk. If the BIOS Setup program does not provide an Auto-detect option, you will have to configure the hard disk settings manually. If the BIOS Setup provides an option to enable LBA support for the hard disks, select this option. If LBA support is not available, enter the number of cylinders, heads, and sectors for each hard disk where indicated by the BIOS Setup program. This information is usually printed on the outside cover of the hard disk. If you cannot locate this information, check the hard disk manufacturer's documentation or contact the hard disk manufacturer directly.
    • Exit the BIOS Setup program as directed by the Setup program, and then turn off the computer.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Tips

  • Before installing a hard disk, make note of the hard disk's heads, sectors, and cylinders that are normally printed on the outside cover of the hard disk. Also, record the manufacturer's name, make, model, and serial number of the hard disk. If this information is not printed on the cover of the hard disk, use a small address label to record this information and then carefully affix the label to outside cover of the hard disk for future reference.
  • Before removing a hard disk from your computer, make notes regarding the original BIOS geometry settings defined for the hard disk, its jumper settings and the IDE cable and connector to which the hard disk is attached.

Note

  • For additional help installing your hard disk, or if you need to locate a jumper setting, visit the [image] Future Systems Solutions Online Technical Resource Center. Here you will find links to many of the hard disk manufacturer web sites, how-to guides, and links to other online technical resources.


How to explore drives

To explore drives

  1. Open Casper XP.
  2. Click Explore Drives to start the Casper XP Drive Explorer.
  3. Expand Physical Disks in the Disks Explorer Bar to display the list of hard disks on your computer. If the Disks Explorer Bar is not visible, click Explorer Bar, Disks on the View menu to display the Disks Explorer Bar.
  4. Click a disk name displayed under Physical Disks to display information specific to the size and status of a selected hard disk.
  5. Expand a disk name displayed under Physical Disks and click Disk Layout to display the disk layout for the selected hard disk.
  6. Expand Disk Layout to display the Master Partition Table and any Extended Partition Table records defined on the selected hard disk.
  7. Click Master Partition Table to display information related to the partitions defined by the master partition table on the selected hard disk.
  8. Click Extended Partition Table to display information related to the logical drive partitions defined by the selected extended partition table on the hard disk.


How to explore history

To explore history

  1. Open Casper XP.
  2. Click Explore Drives to start the Casper XP Explorer.
  3. Click on the date and time of the activity report you want to view in the History Explorer Bar. If the History Explorer Bar is not visible, click Explorer Bar, History on the View menu to display the History Explorer Bar.
  4. To see the detailed report view, click the Show Detailed Report link located on the right of the Casper XP Activity Report banner.


Using Casper XP with GoBack

GoBack is a system recovery utility that integrates into your computer's operating system and records all changes to files and folders on a hard disk. While GoBack records all changes made to files and folders, it does not record changes made to the disk layout of a hard disk. As a result, utilities such as Casper XP cannot modify the disk layout of a hard disk protected by GoBack without compromising the integrity of the changes recorded by GoBack.

When GoBack is protecting a hard disk, changes to the files and folders on the hard disk are recorded in a special history file. While GoBack uses a separate history file for each hard disk it protects, only one partition on each hard disk contains the history file.

Unfortunately, GoBack does not provide a mechanism for other utility software to disable protection of a hard disk temporarily. You must uninstall GoBack to disable protection

If you want to copy to a hard disk protected by GoBack, or copy to a drive that contains a GoBack history file, you must disable protection on the hard disk first. You must also disable protection before creating or removing a drive on a hard disk protected by GoBack. To disable GoBack protection on a specific hard disk, follow this procedure:

  1. Uninstall GoBack.

    How?

    • Double-click the Add or Remove Programs icon in the Windows Control Panel, or click here to open it now.
    • Highlight GoBack in the program list.
    • Click the Change/Remove button.
  2. Run the GoBack setup program to reinstall GoBack.
  3. When prompted to select the installation type, choose Custom Install.
  4. For each hard disk on your computer, the GoBack setup program will ask you to select the partition where the GoBack data (history file) should be stored. When prompted to select the partition for the hard disk on which you want to disable protection, select [none] from the list provided. This will disable GoBack protection on the hard disk.
  5. Continue with the remainder of the GoBack setup program until the installation is complete.

Note

  • It is not necessary to disable GoBack to copy a hard disk protected by GoBack, or to copy to a hard disk that is not partitioned. GoBack will protect only hard disks that have been partitioned and formatted.


Resolving boot problems

In order to boot from a copy of your original boot disk, the BIOS configuration must be changed. Depending on the age of the computer and the type of hard disk, it may be necessary to change the hard disk jumper settings or hard disk cable connections as well.

Windows XP/2000 uses a special file called BOOT.INI to determine the boot volume. This file designates the disk unit number and partition number of the boot volume. When booting from a copy created by Casper XP, the numbers specified in this file correspond to the original hard disk's configuration. As a result, the copy must be assigned the same disk unit number as the original hard disk in order for Windows to boot from the copy.

The BIOS is responsible for assigning the disk unit number of the boot device. This unit number is generally referred to as unit 80H or disk unit 0. On many newer computers, the BIOS can be configured to boot from virtually any device attached to the system, including external Firewire and USB hard disk devices. On older computers, it is necessary to change the hard disk jumper setting or hard disk cable connection to make the hard disk the master on the primary disk controller. When properly configured, the BIOS will assign the boot disk the unit number 80H.

If you have a relatively new computer, look for a Boot Device Priority setting, or similarly named option in your computer's BIOS setup. On some computers, this is located under a menu called Boot in the BIOS setup. Use this option to select the specific hard disk from which to boot. If you are attempting to boot from an external USB hard disk, you may have to enable a separate option in your computer's BIOS to enable booting from USB devices. Look for an option called USB Boot, or a similarly named option, and set this option to enable booting from USB devices.

If your computer's BIOS does not provide an option to select a specific hard disk as the boot device, you will have to change the hard disk jumper setting or hard disk cable connection to make the hard disk the master on the primary disk controller. For step-by-step instructions, see Replacing the original hard disk.

Caution

  • When handling a hard disk, be sure to observe proper disk handling precautions. For additional information, see Hard disk handling precautions.

Notes

  • If you are attempting to boot from a hard disk attached to a separate high-speed disk controller, and your computer's BIOS does not provide an option to select the hard disk as the boot device, you may have to disconnect or disable hard disks attached to your computer's on-board hard disk controller. Unless your computer's BIOS has support for booting from a hard disk attached to a separate disk controller, any hard disks attached to your computer's on-board hard disk controller will be assigned disk unit numbers before hard disks attached to the separate controller.
  • If your computer's BIOS or hard disk controller supports Ultra DMA, make sure Ultra DMA support is enabled for the hard disk and an Ultra DMA (80-wire, 40-pin) IDE cable is used to connect the hard disk to the controller. If your computer's BIOS or hard disk controller does not support Ultra DMA, or if you are using a standard (40-wire, 40-pin) IDE cable to connect the hard disk to the controller, it may be necessary to disable Ultra DMA support in your computer's BIOS.
  • If your computer is having difficulty booting or accessing a hard disk on which a cable connection was recently changed, make sure the cable is connected properly. When attaching an IDE ribbon cable to a hard disk, the red stripe on the cable should be aligned to pin 1 on the hard disk connector. Pin 1 is usually denoted with a tiny 1 in white on the printed circuit board next to the connector on the hard disk. Look on either side of the hard disk connector. If you see what appears to be a tiny marking on one side, but no similar markings on the other side of the hard disk connector, you can assume this represents pin 1.
  • It is not uncommon for IDE ribbon cables to become defective or worn out if repeatedly connected, disconnected, and reconnected to a hard disk or hard disk controller. If your computer is having difficulty booting or accessing a hard disk on which a cable connection was recently changed, and the cable, hard disk jumper settings, and BIOS are configured properly, the cable may need to be replaced.


Before contacting technical support

Your satisfaction is important to us. Before contacting technical support, please:

  • Visit our online [image] Technical Support FAQ. Here you will find answers to frequently asked questions about all of our products.
  • Search this help file for topics that may help you.

    How?

    1. Click the Search tab.
    2. Enter one or more keywords into the box provided. To refine your search, separate keywords with the operators AND, OR, NOT, or NEAR.
    3. Click the List Topics button.
  • If you need help installing your hard disk, finding a jumper setting, or just want to learn more about how computers work, you can visit the [image] Future Systems Solutions Online Technical Resource Center. Here you will find links to many of the hard disk manufacturer web sites, how-to guides, and links to other online technical resources.


Future Systems Technical Support

Click here [image] to reach technical support online at http://www.fssdev.com/support.

Technical Support is also available from 9:00 am to 5:00 pm EST by calling (260) 824-5663.

Tips

  • Before contacting technical support, please visit our online [image] Technical Support FAQ. Here you will find answers to frequently asked questions about all of our products.
  • You can also search this help file for topics that may help you.

    How?

    1. Click the Search tab.
    2. Enter one or more keywords into the box provided. To refine your search, separate keywords with the operators AND, OR, NOT, or NEAR.
    3. Click the List Topics button.
  • If you need help installing your hard disk, finding a jumper setting, or just want to learn more about how computers work, visit the [image] Future Systems Solutions Online Technical Resource Center. Here you will find links to many of the hard disk manufacturer web sites, how-to guides, and links to other online technical resources.

Note

  • Depending on the nature of the problem, Future Systems Solutions may ask you to create a System Configuration Report to help resolve your problem. Please click Related Topics for instructions on how to create this report.


Driv2Drive Problem Detected

An unexpected problem was encountered while trying to complete the requested task. Casper XP is unable to continue.

A comprehensive activity report has been prepared to help determine the cause of the failure. This report contains information related to the current configuration of your computer, as well as the state of the computer at the time the failure occurred. You can view the contents of this report by clicking the link provided.

Please send this report to Future Systems Solutions. The report will be treated as confidential and used only for the purpose of diagnosing the cause of the problem.

To send the report to Future Systems Solutions, click the Send Report button. If you do not wish to send the report, click the Don't Send button and no information will be sent to Future Systems Solutions.


No Suitable Hard Disks

Casper XP could not locate a hard disk to use as a target disk. When you click the link for more information, Casper XP will display the specific reason for each of the hard disks on your computer. For additional information, click Related Topics.

Click Next to proceed using the copy a specific drive method.


Understanding why a target disk could not be found

In order for a hard disk to be used as a source disk, a suitable target disk must be available. When a suitable target disk cannot be found, Casper XP displays one of the following explanations for each of the hard disks on your computer:

This disk is not ready. No media was detected.

If the disk device supports removable media, this message indicates that no media was detected in the device at the time Casper XP made its examination. If media is present, or if the device does not use removable media, this message may be an indication that the device is disabled or malfunctioning. Use Device Manager to check the settings for the device.

The geometry of this disk could not be determined. The disk device may be temporarily disabled or malfunctioning.

This message indicates that the disk device is not responding. The device may be configured improperly, or a required driver may be missing. Use Device Manager to check the settings for the device.

This disk contains an unsupported partition or disk layout.

This message indicates that the disk contains a disk layout or partition that cannot be replaced by Casper XP. Only basic disks are supported.

This disk contains the active boot partition required to start or run Windows.

Casper XP cannot copy to a disk that defines the active boot partition. To copy to the disk, you must start Windows from an alternate disk.

This disk contains a system partition required to start or run Windows.

Casper XP cannot copy to a disk that defines the system partition. To copy to the disk, you must start Windows from an alternate disk.

This disk contains paging files currently in use by Windows.

Casper XP cannot copy to a disk that contains an active paging file. To copy to the disk, you must start Windows from an alternate disk.

This disk is too small to accommodate all of the data contained on Disk <n>.

Casper XP calculates the minimal amount of space required to make a copy of the source disk. This amount cannot exceed the capacity of the target disk.

This disk is protected by GoBack.

Casper XP cannot copy to a disk protected by GoBack. For additional information, click Related Topics.


FAT File System Not Recommended for Destination Partition

You are creating a copy of a FAT partition that is larger than 32GB. When Casper XP copies the partition, the file system format of the copy can be changed to NTFS in accordance with Microsoft's guidelines.

Microsoft recommends that all partitions 32GB or larger be formatted with NTFS due to limitations of the FAT file system support in Windows. While Windows 2000/XP can mount and support partitions larger than 32GB that use the FAT file system, Windows 2000/XP will not allow you to create or format a partition larger than 32GB with FAT.

NTFS provides many benefits not available with FAT, including reliable performance, security, and support for very large volumes. While NTFS is the preferred file system for Windows 2000/XP, computers running Windows 95, Windows 98, and Windows ME do not support NTFS.

If the target disk is removable and you require access to the partition on a computer running a version of Windows that does not support NTFS, including Windows 95, Windows 98, or Windows ME, you should not change the file system to NTFS.

If you want the copy to proceed using the FAT file system for a partition, select the partition in the list displayed and then change the File System selection to FAT.

Note

  • Versions of Windows prior to Windows ME, including Windows 95 and Windows 98, do not fully support partitions larger than 127.5 GB formatted with the FAT file system. This 127.5 GB limit imposed in earlier versions of Windows no longer applies to Windows ME. In Windows ME, the maximum supported size of a partition formatted with the FAT file system is approximately 2 terabytes.


FAT File System Not Recommended for Destination Drive

You are copying a drive that is using the FAT file system to a drive larger than 32GB. When Casper XP copies the drive, the file system format of the copy can be changed to NTFS in accordance with Microsoft's guidelines.

Microsoft recommends that all drives 32GB or larger be formatted with NTFS due to limitations of the FAT file system support in Windows. While Windows 2000/XP can mount and support drives larger than 32GB that use the FAT file system, Windows 2000/XP will not allow you to create or format a drive larger than 32GB with FAT.

NTFS provides many benefits not available with FAT, including reliable performance, security, and support for very large volumes. While NTFS is the preferred file system for Windows 2000/XP, computers running Windows 95, Windows 98, and Windows ME do not support NTFS.

If the target drive is removable and you require access to the drive on a computer running a version of Windows that does not support NTFS, including Windows 95, Windows 98, or Windows ME, you should not change the file system to NTFS.

If you want the copy to proceed using the FAT file system, select No. To change the file system format on the target drive to NTFS, select Yes.

Note

  • Versions of Windows prior to Windows ME, including Windows 95 and Windows 98, do not fully support drives larger than 127.5 GB formatted with the FAT file system. This 127.5 GB limit imposed in earlier versions of Windows no longer applies to Windows ME. In Windows ME, the maximum supported size of a drive formatted with the FAT file system is approximately 2 terabytes.


Getting started

You can use Casper XP to:

Copy a drive

You can copy the contents of an entire hard disk, or a specific drive, to another hard disk or drive. Select this when you want to upgrade a hard disk, create and maintain a backup hard disk, or restore from a backup hard disk. For additional information, including step-by-step instructions for performing any of these tasks, click Related Topics.

Additional information

Step-by-step procedure

Create a drive

You can create and format a new partition to create a drive on any hard disk that contains sufficient unpartitioned space. Select this when you want to create an empty drive for storing new files.

Additional information

Step-by-step procedure

Remove a drive

You can remove the partition used to define a drive from a hard disk. Select this when you want to remove a drive you no longer need to free space on a hard disk for another purpose.

Additional information

Step-by-step procedure

Explore drives

You can examine the disk layout of your hard disks. Select this to determine the relationship between all of the drives and hard disks on your computer.

Additional information

Step-by-step procedure

To get started, simply make a selection. Casper XP's customized wizards will guide you through the selected process step-by-step.


Hard Disk Not Found

Casper XP could not locate any hard disks with sufficient space available to copy or create a drive on your system. Casper XP searches all hard disks for unpartitioned disk space. If you recently installed a new hard disk, the hard disk may have a smaller capacity than any of your existing hard disks, or it may already be partitioned into one or more drives. Casper XP may also fail to find a new hard disk or unpartitioned hard disk space if your system is running in MS-DOS compatibility mode.

Casper XP supports copying of one disk to another disk only when the capacity of the destination disk is equal to or greater than the capacity of the source disk. For example, if you want to make a copy of Disk 1 onto Disk 2, then the total capacity of Disk 2 must be equal to or greater than the combined size of all partitions defined on Disk 1. In addition, Casper XP will not allow you to copy the entire contents of an existing hard disk if that disk contains a partition type not supported by Casper XP.

To make a copy of an individual drive (partition), or to create a new drive, Casper XP requires sufficient unpartitioned disk space to be available on one or more of your hard disks. Casper XP requires approximately 2MB of unpartitioned disk space to create a new drive. To make a copy of an individual drive (partition), Casper XP requires only enough unpartitioned disk space to accommodate all of the sectors in use on the drive being copied.

Note that if you are trying to use a hard disk that was previously used on another computer, the hard disk may have been partitioned on that machine. To make the disk available for Casper XP, the existing partitions may have to be removed from the disk using FDISK or a third party partitioning program.


How to copy a drive

To copy a drive

  1. Open Casper XP.
  2. Click Copy Drive to start the Copy Drive Wizard, and then follow the instructions on your screen.

Note

  • For additional help when using the wizard, press F1.


MS-DOS Compatibility Mode Warning

Casper XP detected one or more hard drives using MS-DOS compatibility mode. MS-DOS compatibility mode reduces overall system performance and may inhibit detection of new or unpartitioned hard disks.

In general, Windows will use MS-DOS compatibility mode for a hard drive only if a protected-mode driver is not available for the hard drive controller. However, MS-DOS compatibility mode may be in use for any of the following reasons:

  • An "unsafe" device driver, memory-resident program, or virus is installed.
  • The hard disk controller in your computer was not detected by Windows.
  • The hard disk controller was removed from the current configuration in the Windows Device Manager.
  • There is a resource conflict between the hard disk controller and another hardware device.
  • The protected-mode driver for the hard disk controller is damaged.
  • The protected-mode driver is not properly installed.
  • The protected-mode driver cannot be initialized because of an unsupported configuration or incompatible hardware.

Under certain circumstances, Casper XP may be able to resolve the MS-DOS compatibility mode problem on your system. If Casper XP is not able to resolve the problem, you may need to consult a computer specialist.

Microsoft has several knowledge base articles that may help you to resolve the problem as well. You can search Microsoft's Knowledge Base at http://search.support.microsoft.com/kb or visit Microsoft's Web Site at http://www.microsoft.com and select Support. The following Microsoft Knowledge Base articles pertain to resolving MS-DOS compatibility mode problems.

Q130179 | Troubleshooting MS-DOS Compatibility Mode on Hard Disks
Q151911 | MS-DOS Compatibility Mode Problems with PCI-IDE Controllers
Q175629 | Large IDE Hard Disk May Run In Compatibility Mode
Q242607 | Performance and MS-DOS Compatibility Mode Issues with VIA Busmaster Controller
Q152701 | FAT32 Using Compatibility Mode with OnTrack Disk Manager
Q137405 | Mh32bit.386 Device Driver Causes MS-DOS Compatibility Mode
Q126855 | Windows Support for Large IDE Hard Disks


Understanding why no disks can be copied

When examining the hard disks on your computer, Casper XP evaluates the suitability of each hard disk for selection as a source disk and a target disk. In order to copy a hard disk in its entirety, a suitable source disk and a suitable target disk must be available. If Casper XP cannot locate a suitable source disk and a suitable target disk, you will not be able to copy a hard disk.

When neither a suitable source disk nor a suitable target disk can be found, Casper XP provides one of the following explanations for each hard disk on your computer:

There is no data on this disk to copy.

This message indicates there are no partitions on the disk.

This disk device is not ready. Casper XP was unable to detect any media in the device.

If the disk device supports removable media, this message indicates that no media was detected in the device at the time Casper XP made its examination. If media is present in the device, or if the device does not use removable media, this message may be an indication that the device is disabled or malfunctioning. Use Device Manager to check the settings for the device.

Casper XP was unable to determine the geometry of this disk. The disk device may be temporarily disabled or malfunctioning.

This message indicates that the disk device is not responding. The device may be configured improperly, or a required driver may be missing. Use Device Manager to check the settings for the device.

Casper XP was unable to determine the format of the partition(s) on this disk or the format is not supported.

This message indicates that the disk layout is not recognized, or the partitions defined on the disk are not supported. Casper XP supports only basic disks containing NTFS, FAT32, and FAT partitions.

This disk cannot be copied because Casper XP was unable to find a suitable target. Click here for additional information.

Casper XP could not locate another hard disk to use as a target disk. When you click the link for additional information, Casper XP will display the specific reason for each of the hard disks on your computer. For a list of these reasons, see Understanding why a target disk could not be found.


Understanding why no drives can be copied

When examining the drives on your computer, Casper XP evaluates the suitability of each drive for selection as a source drive and a target drive. Casper XP also examines each hard disk for unpartitioned space to determine whether sufficient space exists to create a drive for use as a new target drive. In order to copy a drive, a suitable source drive must be available, and either a suitable target drive must be available or a hard disk with sufficient unpartitioned space must be available to create a new target drive. If Casper XP cannot locate a suitable source drive and a suitable target, you will not be able to copy a drive.

When neither a suitable source drive nor a suitable target can be found, Casper XP provides one of the following explanations for each drive on your computer:

This drive is not ready. Casper XP was unable to detect any media in the drive.

If the drive supports removable media, this message indicates that no media was detected in the drive at the time Casper XP made its examination. If media is present in the drive, or if the drive does not use removable media, this message may be an indication that the drive is disabled or malfunctioning. Use Device Manager to check the settings for the drive.

Casper XP was unable to determine the format of the media in this drive. The media may not be formatted.

This message indicates that the format of the media could not be read from the drive. Check to make sure the media is formatted. If the drive is a CD-ROM, the disc may be dirty or scratched.

Casper XP was unable to determine the format of the media in this drive, or the media format is not supported.

This message indicates that the file system defined by the media in the drive could not be identified, or is not supported.

This drive cannot be copied because Casper XP was unable to find a suitable target. Click here for additional information.

Casper XP could not locate another drive to use as a target drive. When you click the link for additional information, Casper XP will display the specific reason for each of the drives on your computer. For a list of these reasons, see Understanding why a target drive could not be found.


Understanding why no drives can be removed

When examining the drives on your computer, Casper XP determines the type of each drive and evaluates the impact of removing the drive. If the drive is not defined by a partition on a basic disk, or if the drive is used to start or run Windows, Casper XP will not permit the drive to be removed.

If no drives can be removed, Casper XP provides one of the following explanations for each drive on your computer:

This drive is not ready. No media was detected.

If the drive supports removable media, this message indicates that no media was detected in the drive at the time Casper XP made its examination. If media is present in the drive, or if the drive does not use removable media, this message may be an indication that the drive is disabled or malfunctioning. Use Device Manager to check the settings for the drive.

This drive contains critical boot files required to start or run Windows.

Casper XP will not remove a drive that contains the boot files. To remove the drive, you must start Windows from an alternate drive.

This drive contains critical system files required to start or run Windows.

Casper XP will not remove a drive that contains system files. To remove the drive, you must start Windows from an alternate drive.

This drive contains paging files currently in use by Windows.

Casper XP will not remove a drive that contains an active paging file. To remove the drive, you must start Windows from an alternate drive.

This drive is not defined by a partition.

Only drives defined by partitions on basic disks can be removed.

This drive is defined as a dynamic volume.

Casper XP cannot remove a dynamic volume. Only drives defined by partitions on basic disks can be removed.

This drive is protected by GoBack.

Casper XP will not remove a drive on a disk protected by GoBack. For additional information, click Related Topics.


Open Files Warning

Casper XP found one or more open files on a drive that is to be copied. These files are currently being used by another application or utility that is running on your system. Casper XP cannot guarantee that a complete and accurate copy of these files can be made.

To proceed with the current copying process, make sure all applications running on your system have been closed, and click the Ok button.

To cancel the current copying process, click the Cancel button. This action will immediately terminate the copying process and close Casper XP.

Note
  • To avoid seeing this warning, be sure to close all applications running on your system prior to using Casper XP.


The Casper XP program could not be started

The operating system could not start this program. This may happen if:

You need to re-install the program.

The program file or a component file required to run the program may have been accidentally deleted or corrupted. Run the Casper XP setup program to restore the file. The setup program file is named CXPSETUP.EXE.

Note

  • If you are using the trial version of Casper XP, the setup program file is named CXTSETUP.EXE.

You are running an unsupported version of Windows.

Casper XP may be run only on computers using Microsoft's Windows 2000, Windows XP Home Edition, or Windows XP Professional operating system.


Programs Running

There are one or more programs running on your computer that may prevent the copy from completing successfully. The list provided shows the name of each application program that is currently running.

Please close the application programs listed and temporarily disable any unnecessary background utilities including antivirus software before proceeding.

Note

  • While no damage will result when other programs are run during the copy process, doing so may prevent Casper XP from creating an accurate copy.


Casper XP Feature Not Available in Trial Edition

While the trial version of Casper XP is fully operational, it does not support volume resizing. For example, using the trial version of Casper XP to copy a 10GB drive to a new 100GB hard disk will result in a 10GB copy being created on the 100GB hard disk; the additional 90GB of space on the new hard disk will remain unpartitioned space. This is only a limitation of the trial version. The full release version of Casper XP will permit the copy of the 10GB drive to be resized to 100GB, making the additional 90GB of free space on the drive available for new files, folders, and programs.

You can purchase and download the full release version of Casper XP right now. Visit Future Systems Solutions online at http://www.fssdev.com/webstore.

All software from Future Systems Solutions is backed by an unconditional 30-day money-back guarantee.


Welcome to Casper XP

Casper XP makes copying and upgrading hard disks faster and easier than ever.

While the trial version of Casper XP is fully operational, it does not support volume resizing. For example, using the trial version of Casper XP to copy a 10GB drive to a new 100GB hard disk will result in a 10GB copy being created on the 100GB hard disk; the additional 90GB of space on the new hard disk will remain unpartitioned space. This is only a limitation of the trial version. The full release version of Casper XP will permit the copy of the 10GB drive to be resized to 100GB, making the additional 90GB of free space on the drive available for new files, folders, and programs.

You can purchase and download the full release version of Casper XP right now. Visit Future Systems Solutions online at http://www.fssdev.com/webstore.

All software from Future Systems Solutions is backed by an unconditional 30-day money-back guarantee.

To learn more about getting started with Casper XP, click here.

©1998-2002 Future Systems Solutions, Inc. All rights reserved.


Understanding why a target drive could not be found

In order for a drive to be used as a source drive, a suitable target drive must be available. When examining the drives on your computer, Casper XP evaluates the suitability of each drive for selection as a target drive. Casper XP also examines each hard disk for unpartitioned space to determine whether sufficient space exists to create a drive for use as a new target drive. When a suitable target drive cannot be found or created, Casper XP displays one of the following explanations for each hard disk and drive on your computer:

This disk does not contain any unpartitioned space.

Unpartitioned space is required to create a drive. Casper XP could not locate any unpartitioned space on the disk.

This disk contains insufficient unpartitioned space to create a suitable target drive.

Casper XP calculates the minimal amount of unpartitioned space required to make a copy of the source drive. This amount exceeds the amount of unpartitioned space available on the disk.

This disk is protected by GoBack.

Casper XP cannot copy to a disk protected by GoBack. For additional information, click Related Topics.

This drive is not ready. No media was detected.

If the drive supports removable media, this message indicates that no media was detected in the drive at the time Casper XP made its examination. If media is present, or if the drive does not use removable media, this message may be an indication that the drive is disabled or malfunctioning. Use Device Manager to check the settings for the drive.

This drive contains critical boot files required to start or run Windows.

Casper XP cannot copy to a drive that contains the boot files. To copy to the drive, you must start Windows from an alternate drive.

This drive contains critical system files required to start or run Windows.

Casper XP cannot copy to a drive that contains system files. To copy to the drive, you must start Windows from an alternate drive.

This drive contains paging files currently in use by Windows.

Casper XP cannot copy to a drive that contains an active paging file. To copy to the drive, you must start Windows from an alternate drive.

Copying to this drive is not supported.

Casper XP cannot copy to a mapped network drive, or to a drive that uses a read-only file system such as a CD-ROM drive.

This drive is too small to accommodate all of the data contained on <source drive>.

Casper XP calculates the minimal amount of space required to make a copy of the source drive. This amount cannot exceed the capacity of the target drive.

This drive contains a GoBack history file.

Casper XP cannot copy to a drive that contains an active GoBack history file. For additional information, click Related Topics.


Legal Notices

Copyright and Trademark Information

Information in this document is subject to change without notice. Federal law prohibits unauthorized use, duplication, and distribution of any part of this document in any form or by any means, electronic or mechanical, for any purpose, without the express written permission of Future Systems Solutions.

Future Systems Solutions may have patents, trademarks, copyrights, or other intellectual property rights covering subject matter in this document.

Copyright Ó 1998-2002 Future Systems Solutions, Inc. All Rights Reserved.

Casper XP, Drive2Drive, DriveSpan, and Accelerate-It are trademarks of Future Systems Solutions, Inc. Microsoft is a registered trademark and MS-DOS, Windows, Windows NT, and Windows XP are either registered trademarks or trademarks of Microsoft Corporation. Other brand and product names may be trademarks or registered trademarks of their respective holders.


Hard disk handling precautions

When handling a hard disk, please observe the following precautions:

  • Allow the hard disk to reach room temperature before installing it in your computer.
  • Hard disks are sensitive to electrostatic discharge (ESD) damage. Use proper ESD practices by grounding yourself and the computer system the hard disk will be installed in.
  • Never drop, jar, or bump a hard disk. Handle the hard disk by its sides and avoid touching the printed circuit board assembly (PCBA).
  • Never switch DC power onto the hard disk by plugging an electrically live DC source cable into the hard disk's connector.
  • Never connect a live bus connector to the hard disk's IDE or SCSI interface connector.


Limitations of the FAT File System on Windows 2000/XP

Microsoft recommends that all partitions 32GB or larger be formatted with NTFS due to limitations of the FAT file system support in Windows. While Windows 2000/XP can mount and support volumes larger than 32GB that use the FAT file system, Windows 2000/XP will not allow you to create or format a volume larger than 32GB with FAT.

NTFS provides many benefits not available with FAT, including reliable performance, security, and support for very large volumes.


How to Create a Startup Disk

To Create a Startup Disk
  1. Click here shortcut to Create Startup Disk to open the Add/Remove Programs Properties dialog box at the Startup Disk tab.
  2. Click Create Disk.
  3. Follow the instructions on your screen.
Note
  • You can also open the Add/Remove Programs Properties dialog box at the Startup Disk tab by clicking Start, pointing to Settings, clicking Control Panel, double-clicking Add/Remove Programs, and then clicking the Startup Disk tab.
  • To make a startup disk, you will need one floppy disk with at least 1.2 MB capacity.
  • When you insert the startup disk in your computer before restarting, the computer starts from that disk, not from your hard drive.


 How to Prepare a New Hard Disk for Use
To Prepare a New Hard Disk for Use
  1. Click here shortcut to Casper XP Wizard to launch Casper XP.
  2. Follow the instructions on your screen.
Note
  • You can also start Casper XP by clicking Start, pointing to the Programs menu, pointing to the Casper XP menu, and then clicking Casper XP.


How to Prevent Background Tasks from Interfering with the Disk Copy Process

To Prevent Background Tasks from Interfering with the Disk Copy Process

When Casper XP copies a drive, it monitors the drive's content to detect changes made by other running tasks. If Casper XP detects a change that affects data that has already been copied, Casper XP restarts the copying process. As a result, other tasks running in the background can cause Casper XP to continually restart the copying process. If Casper XP determines another task is causing the copying process to be restarted too frequently, Casper XP stops the copying process.

To prevent this from occurring, it is important to stop any unnecessary tasks from running in the background. To see what tasks are running in the background, open the Windows Task Manager window by depressing the Ctrl-Alt-Del keys simultaneously. You will see a window similar to the following appear:

Windows Task Manager

If any tasks other than Explorer or Systray are running, close them by selecting their name in the window and clicking the End Task button. After you have done this, try running Casper XP again.

If this does not solve the problem, then a task may be running as a service that does not appear in the Task Manager window. You will need to prevent this type of task from running when Windows starts up. Under Windows 98, you can use the Microsoft System Configuration Utility to do this. Under Windows 95 you will need to use the Registry Editor to stop these tasks.

If you are running Windows 98, follow this procedure to prevent tasks from running at startup:

  1. Click Start.
  2. Click Run.
  3. Type MSCONFIG in the Open box.
  4. Click OK and the System Configuration Utility will open.
  5. Click the General tab, if it is not already selected.
  6. Click Selective startup and uncheck all of the check boxes that appear underneath it:

    System Configuration Utility

  7. Click OK to close the System Configuration Utility.
  8. Click Yes when prompted to restart your system.

If you are running Windows 95, follow this procedure to prevent tasks from running at startup:

  1. Click Start.
  2. Click Run.
  3. Type REGEDIT in the Open box.
  4. Click OK and the Registry Editor will open.
  5. Double-click on My Computer.
  6. Double-click on HKEY_LOCAL_MACHINE.
  7. Double-click on SOFTWARE.
  8. Double-click on Microsoft.
  9. Double-click on Windows.
  10. Double-click on CurrentVersion.
  11. Left-click on the Run key to select it.
  12. Right-click on the Run key and select Rename from the context menu that appears.
  13. Type NoRun for the new name and press Enter.
  14. Left-click on the RunServices key to select it.
  15. Right-click on the RunServices key and select Rename from the context menu that appears.
  16. Type NoRunServices for the new name and press Enter.
  17. Click the Registry menu.
  18. Click Exit on the Registry menu to close the Registry Editor.
  19. Click Start.
  20. Click Shutdown.
  21. Select Restart.
  22. Click OK to restart your system.

After you have successfully copied your drive, you can reverse the procedure to restore your system's original startup configuration.

If you are running Windows 98, follow this procedure to restore your normal startup:

  1. Click Start.
  2. Click Run.
  3. Type MSCONFIG in the Open box.
  4. Click OK and the System Configuration Utility will open.
  5. Click the General tab, if it is not already selected.
  6. Click Normal startup.

    System Configuration Utility

  7. Click OK to close the System Configuration Utility.
  8. Click Yes when prompted to restart your system.

If you are running Windows 95, follow this procedure to restore your normal startup:

  1. Click Start.
  2. Click Run.
  3. Type REGEDIT in the Open box.
  4. Click OK and the Registry Editor will open.
  5. Double-click on My Computer.
  6. Double-click on HKEY_LOCAL_MACHINE.
  7. Double-click on SOFTWARE.
  8. Double-click on Microsoft.
  9. Double-click on Windows.
  10. Double-click on CurrentVersion.
  11. Left-click on the NoRun key to select it.
  12. Right-click on the NoRun key and select Rename from the context menu that appears.
  13. Type Run for the new name and press Enter.
  14. Left-click on the NoRunServices key to select it.
  15. Right-click on the NoRunServices key and select Rename from the context menu that appears.
  16. Type RunServices for the new name and press Enter.
  17. Click the Registry menu.
  18. Click Exit on the Registry menu to close the Registry Editor.
  19. Click Start.
  20. Click Shutdown.
  21. Select Restart.
  22. Click OK to restart your system.


Topic Not Available

The topic you are looking for is currently unavailable. Please report this problem to Customer Support for assistance.


System BIOS limitations

Certain systems do not support hard disks with more than 4095 cylinders. If your system locks up before you can access the system BIOS setup, the system may have a BIOS with a 4095 cylinder limitation.

If you suspect your BIOS has this limitation, you may be able to set a jumper on the hard disk or use special software included with the hard disk to circumvent the problem. Consult the documentation that came with your hard disk.